LinHES - Bug # 338: install hangs @ nvidia install

Status: Closed Priority: Normal
Author: iscraigh Category:

Created: 04/27/2009 Assignee:

Updated: 03/21/2010 Due date:

Description: I am trying to install 6.00.07 on an 7nif2 board with an 8400gs card.

It hangs at installing nvidia 96xx

| install the 6.00.05 with no issue, what is different.

If you need more info ask me and | will give it to you.

Craig

History

05/13/2009 10:58 am - jams

attach the output of Ispci and Ispci -n

05/19/2009 11:18 pm - iscraigh

[root@larch5 ~J# Ispci

00:00.0 Host bridge: nVidia Corporation nForce2 IGP2 (rev a2)

00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev a2)

00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev a2)

00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev a2)

00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev a2)

00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev a2)

00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)

00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)

00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)

00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)

00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)

00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)

00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio Controler (MCP) (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)

00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)

00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev a2)

01:07.0 Ethernet controller: ADMtek NC100 Network Everywhere Fast Ethernet 10/100 (rev 11)
01:08.0 PCI bridge: Pericom Semiconductor Device e110 (rev 04)

02:00.0 VGA compatible controller: nVidia Corporation GeForce 8400 GS (rev al)

03:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4 MX - nForce GPU] (rev a3)

[root@larch5 ~]# Ispci -n

00:00.0 0600: 10de:01e0 (rev a2)
00:00.1 0500: 10de:01eb (rev a2)
00:00.2 0500: 10de:01ee (rev a2)
00:00.3 0500: 10de:01ed (rev a2)
00:00.4 0500: 10de:01ec (rev a2)
00:00.5 0500: 10de:01ef (rev a2)
00:01.0 0601: 10de:0060 (rev a4)
00:01.1 0c05: 10de:0064 (rev a2)
00:02.0 0c03: 10de:0067 (rev a4)
00:02.1 0c03: 10de:0067 (rev a4)
00:02.2 0c03: 10de:0068 (rev a4)
00:04.0 0200: 10de:0066 (rev at)
00:06.0 0401: 10de:006a (rev at)
00:08.0 0604: 10de:006c (rev a3)
00:09.0 0101: 10de:0065 (rev a2)
00:1e.0 0604: 10de:01e8 (rev a2)
01:07.0 0200: 1317:0985 (rev 11)
01:08.0 0604: 12d8:e110 (rev 04)
02:00.0 0300: 10de:06e4 (rev at)

03:00.0 0300: 10de:01f0 (rev a3)

Sorry it took so long.
| did an 05 install and then updated, | have not installed the svn version yet although | did have it installed previously and vdpau worked great.
Thanks

Craig

05/23/2009 06:50 pm - iscraigh

Did a fresh install of 08 and have the same problem. Am forcing it to use the vesa drivers and then will try to install the nvidia drivers after.

05/23/2009 07:42 pm - iscraigh

Install is done so | tried to upgrade to mythtv-vdpau with the fol;lowing error

<code>pacman -S mythtv-vdpau

resolving dependencies...

looking for inter-conflicts...

:: nvidia-utils conflicts with libgl. Remove libgl? [Y/n] y
error: failed to prepare transaction (could not satisfy dependencies)
;1 ati-dri: requires libgl>=7.2

:intel-dri: requires libgl>=7.2

.1 xf86-video-ati: requires libgl>=7.2

.1 xf86-video-mga: requires libgl>=7.2

:: xf86-video-savage: requires libgl>=7.2

:: xf86-video-trident: requires libgl>=7.2</code>

Could this libgl problem be what is hanging the nvidia install?

Craig

05/24/2009 07:38 pm - iscraigh

Just to add more info if | do a fresh 0.5 install and run pacman -Syu to update then | am left with a not functioning system again. X will not start |
assume due to the updated nvidia drivers. Now an update from 0.5 to 0.7 used to work. Infact | updated to the vdpau packages and an nvidia driver
successfully, had hd playing great.

How can | just update the nvidia driver to the version in 0.7 see if it works and then try the update to whatever is in 0.8

Craig

05/25/2009 01:19 am - iscraigh
Reinstalled about 5 times today.

0.5 goes in and | can change to vesa and update but any attempt to get nvidia going results in x not starting. At one point going back to VESa would

not even get things going. It may be the newer kernel in 0.8.

| am back on 0.5 and am going to install the drivers straight from nvidia, | also saw a post on identifying the bus id in xorg so that X would load. | can't
believe | am the only one with this challenge, this 8400 card from newegg seems popular. | have another pc | am unable to get it working on with ubuntu

and the nvidia drivers, 2 cards and the one did work.

Craig

08/03/2009 03:41 pm - Human

This could be related to the bug that was fixed for FS#426 (though | still need to test), in which the installer didn't drop libgl before attempting to install

the nVidia drivers. Same basic symptoms as you describe.

08/03/2009 04:47 pm - Human
FS#426 is confirmed as fixed. Please try a new ISO build from the git repo, or wait to try the upcoming beta if that's not an option.

03/21/2010 06:53 pm - jams

- Status changed from New to Closed
